Show percentage of teams migrated to Phabricator for project management
Closed, ResolvedPublic

Description

This data is maintained in an online spreadsheet.

  MARCH 2015
  ===========================================
  Analytics Engineering	   Scrumbugz	1
  Collaboration	           Trello       1
  Design                   Trello	0.75
  Editing	           Bugzilla	1
  Fundraising Tech         Mingle	1
  Gather                   Trello       1
  Language Engineering     Mingle	1
  MediaWiki Core	   Bugzilla	1
  Mobile Apps	           Trello	0.75
  Mobile Web	           Trello	0.25
  Multimedia	           Mingle	1
  Operations               RT           0.75
  Parsoid	           Bugzilla	1
  Release Engineering	   Bugzilla	1
  Research and Data        Trello	0
  Services	           Bugzilla	1
  Zero	                   Trello	0
		
		
  	Total      79%
  	Trello     54%
  	Mingle    100%
        RT         75%
        Bugzilla  100%


  FEBRUARY 2015
  ===========================================
  Analytics Engineering	   Scrumbugz	1
  Collaboration	           Trello       1
  Design                   Trello	0.25
  Editing	           Bugzilla	1
  Fundraising Tech         Mingle	1
  Gather                   Trello       1
  Language Engineering     Mingle	1
  MediaWiki Core	   Bugzilla	1
  Mobile Apps	           Trello	0.5
  Mobile Web	           Trello	0.25
  Multimedia	           Mingle	1
  Operations               RT           0.75
  Parsoid	           Bugzilla	1
  Release Engineering	   Bugzilla	1
  Research and Data        Trello	0
  Services	           Bugzilla	1
  Zero	                   Trello	0
		
		
  	Total   75%
  	Trello	43%
  	Mingle	100%




  JANUARY 2015
  ===========================================
  Analytics Engineering	   Scrumbugz	1
  Collaboration	           Trello       0.75
  Design                   Trello	0.25
  Editing	           Bugzilla	1
  Fundraising Tech         Mingle	1
  Language Engineering     Mingle	0.75
  MediaWiki Core	   Bugzilla	1
  Mobile Apps	           Trello	0
  Mobile Web	           Trello	0.25
  Multimedia	           Mingle	1
  Operations               RT           0.75
  Parsoid	           Bugzilla	1
  Release Engineering	   Bugzilla	1
  Research and Data        Trello	0
  Services	           Bugzilla	1
  Zero	                   Trello	0
		
		
  	Total   67%
  	Trello	21%
  	Mingle	92%

.

  DECEMBER 2014
  ===========================================
  Analytics Engineering	   Scrumbugz	1
  Collaboration	           Trello       0.75
  Design                   Trello	0.25
  Editing	           Bugzilla	1
  Fundraising Tech         Mingle	0.25
  Language Engineering     Mingle	0.75
  MediaWiki Core	   Bugzilla	1
  Mobile Apps	           Trello	0
  Mobile Web	           Trello	0.25
  Multimedia	           Mingle	1
  Operations               RT           0.75
  Parsoid	           Bugzilla	1
  Release Engineering	   Bugzilla	1
  Research and Data        Trello	0
  Services	           Bugzilla	1
  Zero	                   Trello	0
		
		
  	Total   63%
  	Trello	21%
  	Mingle	67%

.

  NOVEMBER 2014
  ===========================================
  Analytics Engineering	   Scrumbugz	1
  Collaboration	           Trello	0.5
  Design                   Trello	0.25
  Editing	           Bugzilla	1
  Fundraising Tech         Mingle	0
  Language Engineering     Mingle	0.5
  MediaWiki Core	   Bugzilla	1
  Mobile Apps	           Trello	0
  Mobile Web	           Trello	0.25
  Multimedia	           Mingle	0.5
  Operations               RT           0
  Parsoid	           Bugzilla	1
  Release Engineering	   Bugzilla	1
  Research and Data        Trello	0
  Services	           Bugzilla	1
  Zero	                   Trello	0
		
		
  	Total   50%
  	Trello	17%
  	Mingle	33%

Legend:

0	  Not started
0.25	  Organized workboard, project management elsewhere
0.5	  First sprint on Phabricator, syncing cards
0.75	  Project management in Phabricator, legacy still elsewhere
1	  All project management in Phabricator

Details

Reference
fl628

Related Objects

flimport raised the priority of this task from to Normal.
flimport set Reference to fl628.
flimport added a subscriber: greg.Oct 2 2014, 9:58 PM
Qgil added a subscriber: Qgil.
Qgil claimed this task.Dec 1 2014, 7:02 AM
Qgil raised the priority of this task from Normal to High.
Qgil added a project: ECT-December-2014.
Qgil moved this task from Backlog to Ready to Go on the ECT-December-2014 board.Dec 1 2014, 2:20 PM
Qgil added a comment.EditedDec 8 2014, 3:59 PM

Alright, here we have some numbers for November. You can view the details in a spreadsheet.

(Table moved to description for better editability)

All arguable. Better ideas welcome.

Yep, I think this is a reasonable approach to measure both current state and change over time. And it's nice to see how far we've come already. :-)

What do you think about including RT/ops in the spreadsheet as well? I know we said "developer" teams in the Q2 goals and I don't want to move the goalpost on you -- but purely for tracking purposes it may be nice to make visible as well.

Qgil renamed this task from [Quarterly Metric] Show percentage of teams migrated to Phabricator for project management since Phab prod release. to Show percentage of teams migrated to Phabricator for project management.Dec 9 2014, 11:20 AM
Qgil updated the task description. (Show Details)
Qgil lowered the priority of this task from High to Low.Dec 9 2014, 11:24 AM

@Eloquence, I have added Operations to the mix. Other teams missing are Community Engagement, Engineering Community, Product Management, and Team Practices. I wasn't sure what to do with them so I skipped them but, again, if there are better suggestions, I will take them.

Changing priority to low. I will update the spreadsheet following the news (i.e. Multimedia migrated about 875 tasks from Mingle yesterday), and I will post here fresh data on a monthly basis, hopefully not during many months. :)

RobLa edited subscribers, added: RobLa-WMF; removed: RobLa.Dec 9 2014, 3:56 PM
Qgil moved this task from Ready to Go to Backlog on the ECT-December-2014 board.Dec 9 2014, 5:19 PM
Qgil updated the task description. (Show Details)Dec 12 2014, 9:16 AM
In T828#835024, @Mattflaschen wrote:

We're no longer making any changes in Trello, except to track what needs to be migrated to Phabricator. See e.g. "Send to Phabricator - Collaboration-Team board" at https://trello.com/b/HD0lBssr/flow-backlog .

We're using only the board at Collaboration-Team. Currently, we don't have a separate sprint board the way we did on Trello, but we're not ruling that out for the future.

Online spreadsheet updated accordingly with 0.75. Now the total is 55% and Trello is 21%.

Qgil added a subscriber: atgo.Dec 19 2014, 8:20 AM

Fundraising-Tech has set a first foot in https://phabricator.wikimedia.org/project/board/41/ . @atgo reached out to find answers and some advice. Their current plan is to start cloning tasks in Phabricator, and they don't intend to migrate all their Mingle cards there, taking this as an opportunity to refresh their backlog to match reality. (these are my own words and my own understanding of the situation)

Online spreadsheet updated accordingly with 0.25. Now the total is 56% and Mingle is 58%.

Qgil added a subscriber: Arrbee.Dec 22 2014, 12:56 PM

Last week Operations migrated most of its RT tickets to Phabricator. Two queues are remaining in RT for now: access-requests@ (T84861) and procurement@ (T84862).

Language Engineering is about to start their third sprint in Phabricator. They are discussing the migration of their tasks in Mingle. @Arrbee provides some details in T829#939585

Online spreadsheet updated accordingly with 0.75 for Operations and Language Engineering. Now the total is 63% and Mingle is 67%.

greg removed a subscriber: greg.Jan 5 2015, 5:04 PM
Qgil updated the task description. (Show Details)Jan 9 2015, 10:08 PM
Qgil added a comment.Jan 9 2015, 10:20 PM

T831: Migration of Fundraising Tech team to Phabricator is resolved! Now the total is 67% and Mingle is at 92% (pending the completion of the Language Engineering migration only).

For what is worth, Ops-Acces-Request is now run via Phabricator as a pilot. This is one of the two RT queues that were not migrated. Once this process is consolidated, Procurement (the last RT queue T84862) will initiate its migration as well.

Qgil moved this task from To Triage to Doing on the Phabricator board.Jan 15 2015, 7:37 AM
Qgil added a comment.Jan 16 2015, 9:49 AM

We had Engineering Community quarterly review yesterday. We talked about the percentage of teams migrated and the special attention required to the Trello users.

I forgot to add these metrics to the slides (ooops!) but I just added them now, for posterity: https://commons.wikimedia.org/w/index.php?title=File%3AEngineering_Community_Quarterly_Review_Jan_2015.pdf&page=16

atgo removed a subscriber: atgo.Jan 16 2015, 6:37 PM
Qgil moved this task from Backlog to Doing on the ECT-January-2015 board.Feb 2 2015, 7:20 AM
Qgil moved this task from Backlog to Doing on the ECT-February-2015 board.Feb 3 2015, 7:54 PM

Could the statistics be updated for January pretty please? :)

Qgil updated the task description. (Show Details)Feb 23 2015, 10:32 AM
Qgil added a comment.Feb 23 2015, 10:42 AM

The Mobile-Apps team is running a test sprit to get a full taste of Phabricator: Mobile App Sprint 52 - Android & Mobile App Sprint 52 - iOS

Thanks to this, the Trello stats move from 21% to 29%, and now the total adoption is 70%. I hope the test is successful, and the Mobile apps team does stay in Phabricator!

Qgil added a comment.Feb 23 2015, 11:00 AM

According to T821#1055193, the #§Collaboration-Team migration from Trello is complete!

Thanks to this, the Trello stats move from 29% to 33%, and now the total adoption is 72%. The Collaboration team also sets a precedent being the first team leaving Trello in archive mode, moving all their planning and sprint work to Phabricator.

Qgil added a comment.Feb 24 2015, 1:02 PM

T829: Migration of Language team to Phabricator has been resolved! Mingle stats are at 100% now. Total adoption moved a bit up, and is now in 73%.

The Gather team was created in the middle of this transition. Even if I have heard about the project, I was not aware of its existence as a formed team until recently, and I was kind of dismayed when I learned that they had started using Trello instead of starting fresh with Phabricator since Day 1. Anyway, @JKatzWMF & team were probably actually surprised, and as soon as they realized the Phabricator trend they made quick steps for their migration.

And now...

In T821#1072704, @Spage wrote:

I ran the scripts to migrate the Trello "Gather backlog" board to Phabricator Gather project, one column at a time. Seemed to work, see log.

Gerrit 193316 has the updated username mappings and comment tweaks.

Great news! I have added the Gather team to the spreadsheet in the month of February, but I am not changing any values in previous months to keep the data frozen. Now Trello has gone from 33% to 43%, and the total has gone from 73% to 75%, a symbolic number.

Qgil moved this task from Backlog to Doing on the ECT-March-2015 board.Mar 3 2015, 1:02 PM
Qgil updated the task description. (Show Details)Mar 13 2015, 9:03 AM
Qgil added a comment.Mar 13 2015, 9:08 AM

This doesn't affect the % of teams migrated, but it is worth noting that thanks to Matt, S, and others, the Trello script was used in the T1247: Migration of Growth team Trello boards to Phabricator, a legacy including valid open tasks that probably would have been forgotten in trello.com. Now it can be found in the Growth-Team archived project.

Qgil updated the task description. (Show Details)Apr 8 2015, 11:02 AM
Qgil added a comment.Apr 8 2015, 11:09 AM

There was some progress on March.

The Mobile Apps team is using Phabricator for their current sprints and general backlog, but still has the legacy in Trello (0.75)

The Design team has been using Phabricator incrementally, as the teams they work with have been moving to Phabricator as well (and they are stopped by the teams that haven't yet). 0.75 reflects better their current situation, and the details can be found at T832#1157637

With these changes, Trello migration is now at 54% (arguably a 'simple majority'!) and the overall indicator has moved from 75% to 79%.

It is also worth noting that Operations has been working on moving the Procurement queue from RT to Phabricator, but they are not quite there yet (T93760).

JKatzWMF removed a subscriber: JKatzWMF.Apr 8 2015, 4:24 PM
Qgil moved this task from Backlog to Doing on the ECT-April-2015 board.Apr 15 2015, 9:31 PM
Qgil moved this task from Doing to Ready to Go on the ECT-April-2015 board.Apr 16 2015, 9:19 AM
Qgil closed this task as Resolved.Apr 23 2015, 11:58 AM

The structure of teams has changed radically after the reorganization, and keeping the calculation is going to be difficult. In any case, I think the goal of this task has been hopefully accomplished.

User research (before part of Design) and Research and Data (before part of Analytics) are planning their migrations, and I believe all the new teams created / reshaped with the reorganization will start new projects in Phabricator.

I will keep posting here any news on migrations for those interested, but I will close the task as Resolved.

Qgil moved this task from Ready to Go to Doing on the ECT-April-2015 board.Apr 27 2015, 7:39 AM
Qgil added a comment.May 19 2015, 8:25 PM

fyi: T96959: Migrate user research Trello board to Phabricator \o/

This and the consequences of the reorg (with designers now fully embedded in other teams) made me resolve T832: Migration of the Design team to Phabricator.